synaptic被我移除了

为当前最终发行版之前的所有版本提供支持
回复
tpbook
帖子: 4
注册时间: 2007-06-12 14:24
送出感谢: 0
接收感谢: 0

synaptic被我移除了

#1

帖子 tpbook » 2007-06-28 17:35

有辦法再裝回來嗎???

我現在連apt-get都不能用了
gegfried
帖子: 482
注册时间: 2006-06-29 17:30
送出感谢: 0
接收感谢: 0

#2

帖子 gegfried » 2007-06-28 18:13

终端输入sudo apt-get install synaptic也不行?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2007-06-28 20:22

apt-get都不能了???
aptitude可以不。参数和apt-get是一样的。
你的/var/cache/apt/archives下面,还有synapitc的包没有,直接dpkg -i 安装回来。要不去package.ubuntu.com去下一个包就是。
● 鸣学
头像
drivel
帖子: 1917
注册时间: 2006-07-08 9:21
来自: University of Science and Technology Beijing
送出感谢: 1 次
接收感谢: 0
联系:

#4

帖子 drivel » 2007-06-29 0:16

楼主,你太有才了!!
按照ee的方法,下载deb包,装上就可以了,但是不知道数据会不会在……
yjwork
帖子: 422
注册时间: 2006-10-24 11:46
系统: debian
送出感谢: 0
接收感谢: 2 次

#5

帖子 yjwork » 2007-06-29 9:28

如果不小心连dpkg都移出了呢
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#6

帖子 bones7456 » 2007-06-29 9:35

to LS,那就自己编译dpkg,或者重装,哈哈。
关注我的blog: ε==3
yjwork
帖子: 422
注册时间: 2006-10-24 11:46
系统: debian
送出感谢: 0
接收感谢: 2 次

#7

帖子 yjwork » 2007-06-29 10:05

testing
附件
Screenshot.png
walkerxk
帖子: 170
注册时间: 2005-12-18 19:43
来自: http://www.lupaworld.com
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 walkerxk » 2007-06-29 10:09

yjwork 写了:如果不小心连dpkg都移出了呢

其实deb包就是一个压缩包,直接解压出来就可以执行了,前提是依赖性没有问题。
开源资源:
软件下载http://software.lupaworld.com
开源镜像http://mirror.lupaworld.com
手册中心http://man.lupaworld.com
欢迎大家访问,并提出建议和意见。
燕子窝
帖子: 285
注册时间: 2007-05-12 17:45
送出感谢: 0
接收感谢: 0

#9

帖子 燕子窝 » 2007-06-29 10:14

我承认楼主做了一件十分有个性的事。
yjwork
帖子: 422
注册时间: 2006-10-24 11:46
系统: debian
送出感谢: 0
接收感谢: 2 次

#10

帖子 yjwork » 2007-06-29 10:18

yjwork@ubuntu:~$ sudo apt-get remove dpkg
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
The following packages were automatically installed and are no longer required:
stardict-common intltool-debian libbeecrypt6 g++-4.1 librpm4 po-debconf g++
libstdc++6-4.1-dev gettext libgtk2-gladexml-perl rpm html2text
使用 'apt-get autoremove' 来删除它们。
将会安装下列额外的软件包:
python2.5 python2.5-minimal
建议安装的软件包:
python2.5-doc python-profiler
下列软件包将被【卸载】:
dpkg dpkg-dev dselect gconf2 language-pack-en language-pack-en-base
language-pack-gnome-en language-pack-gnome-en-base language-pack-gnome-zh
language-pack-gnome-zh-base language-pack-zh language-pack-zh-base
libbonoboui2-0 libgdl-1-0 libgdl-1-common libgnome2-0 libgnome2-common
libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-common man-db
openoffice.org-base openoffice.org-calc openoffice.org-common
openoffice.org-core openoffice.org-draw openoffice.org-evolution
openoffice.org-filter-mobiledev openoffice.org-impress
openoffice.org-java-common openoffice.org-l10n-common openoffice.org-math
openoffice.org-style-human openssh-client popularity-contest python
python-minimal ssh-askpass-gnome update-notifier
下列的软件包将被升级:
python2.5 python2.5-minimal
【警告】:下列的重要软件包将被卸载
请勿尝试,除非您确实知道您在做什么!
dpkg python-minimal
共升级了 2 个软件包,新安装了 0 个软件包,要卸载 40 个软件包,有 36 个软件未被升级。
有 2 个软件包没有被完全安装或卸载。
需要下载 0B/4256kB 的软件包。
解压缩后将会空出 267MB 的空间。
您的操作会导致潜在的危害。
若还想继续的话,就输入下面的短句“Yes, do as I say!”
?] Yes, do as I say!
debconf: 无法初始化前端界面:Gnome
debconf: (Unable to load Gnome -- is libgnome2-perl installed?)
debconf: 返回前端界面:Dialog
(正在读取数据库 ... 系统当前总共安装有 77948 个文件和目录。)
正在删除 popularity-contest ...
正在删除 update-notifier ...
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 ssh-askpass-gnome ...
正在删除 openssh-client ...
正在删除 openoffice.org-filter-mobiledev ...
正在删除 openoffice.org-evolution ...
正在删除 openoffice.org-base ...
正在删除 openoffice.org-java-common ...
正在删除 openoffice.org-math ...
正在删除 openoffice.org-impress ...
正在删除 openoffice.org-draw ...
正在删除 openoffice.org-calc ...
正在删除 openoffice.org-l10n-common ...
正在删除 man-db ...
正在删除 dselect ...
正在删除 dpkg-dev ...
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 language-pack-gnome-zh-base ...
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 openoffice.org-common ...
find: /usr/share/icons/locolor: No such file or directory
正在删除 openoffice.org-style-human ...
正在删除 language-pack-gnome-en-base ...
正在删除 language-pack-en-base ...
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 language-pack-zh-base ...
正在删除 language-pack-gnome-zh ...
正在删除 libgdl-1-0 ...
正在删除 libgdl-1-common ...
正在删除 libgnomeui-0 ...
正在删除 libgnomeui-common ...
正在删除 libbonoboui2-0 ...
正在删除 libgnome2-0 ...
正在删除 libgnome2-common ...
正在删除 libgnomevfs2-0 ...
正在删除 libgnomevfs2-common ...
正在删除 gconf2 ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "zh_CN:zh",
LC_ALL = (unset),
LANG = "zh_CN.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
正在删除 python ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "zh_CN:zh",
LC_ALL = (unset),
LANG = "zh_CN.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 python-minimal ...
正在删除 openoffice.org-core ...
正在删除 language-pack-gnome-en ...
正在删除 language-pack-en ...
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 language-pack-zh ...
dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
这是一个重要的软件包 - 您不应当把它删除。
正在删除 dpkg ...
Could not exec dpkg!
E: Sub-process /usr/bin/dpkg returned an error code (100)
yjwork@ubuntu:~$ dpkg
bash: dpkg:找不到命令
yjwork@ubuntu:~$ sudo dpkg
sudo: dpkg: command not found
yjwork@ubuntu:~$ sudo apt-get remove dpkg
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package dpkg is not installed, so not removed
The following packages were automatically installed and are no longer required:
stardict-common intltool-debian libbeecrypt6 g++-4.1 librpm4 po-debconf g++
libstdc++6-4.1-dev gettext libgtk2-gladexml-perl rpm html2text
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 38 not upgraded.
yjwork@ubuntu:~$ apt-get install dpkg
E: Could not open lock file /var/lib/dpkg/lock - open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
yjwork@ubuntu:~$ sudo apt-get install dpkg
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
stardict-common intltool-debian libbeecrypt6 g++-4.1 librpm4 po-debconf g++
libstdc++6-4.1-dev gettext libgtk2-gladexml-perl rpm html2text
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
dpkg
0 upgraded, 1 newly installed, 0 to remove and 38 not upgraded.
Need to get 0B/1947kB of archives.
After unpacking 6169kB of additional disk space will be used.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "zh_CN:zh",
LC_ALL = (unset),
LANG = "zh_CN.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
debconf: unable to initialize frontend: Gnome
debconf: (Unable to load Gnome -- is libgnome2-perl installed?)
debconf: falling back to frontend: Dialog
Could not exec dpkg!
E: Sub-process /usr/bin/dpkg returned an error code (100)
yjwork@ubuntu:~$
yjwork
帖子: 422
注册时间: 2006-10-24 11:46
系统: debian
送出感谢: 0
接收感谢: 2 次

#11

帖子 yjwork » 2007-06-29 10:26

恢复dpkg
从光盘中拷贝出 dpkg*.deb
解压
yjwork@ubuntu:/$ ar x dpkg*.deb

yjwork@ubuntu:# sudo mv data.tar.gz /data.tar.gz
yjwork@ubuntu: # cd /
yjwork@ubuntu: # sudo tar xzfv data.tar.gz
yjwork@ubuntu:/$ sudo apt-get install dpkg
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
stardict-common intltool-debian libbeecrypt6 g++-4.1 librpm4 po-debconf g++
libstdc++6-4.1-dev gettext libgtk2-gladexml-perl rpm html2text
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
dpkg
0 upgraded, 1 newly installed, 0 to remove and 38 not upgraded.
Need to get 0B/1947kB of archives.
After unpacking 6169kB of additional disk space will be used.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "zh_CN:zh",
LC_ALL = (unset),
LANG = "zh_CN.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
debconf: unable to initialize frontend: Gnome
debconf: (Unable to load Gnome -- is libgnome2-perl installed?)
debconf: falling back to frontend: Dialog
Selecting previously deselected package dpkg.
(Reading database ... 73013 files and directories currently installed.)
Unpacking dpkg (from .../dpkg_1.13.24ubuntu6_i386.deb) ...
Setting up dpkg (1.13.24ubuntu6) ...
:oops:

不过系统删料那么多软件,恢复起来还不如重装

上面是一个真实的测试
如果你喜欢,JUST DO IT!
yjwork
帖子: 422
注册时间: 2006-10-24 11:46
系统: debian
送出感谢: 0
接收感谢: 2 次

#12

帖子 yjwork » 2007-06-29 10:35

注销后,屏幕上,UBUNTU的鼠标在转动,显得那么的孤单
转呀转
转呀转
一圈又一圈
就是不出来

alt F1
alt ctrl del
中午重装 :evil:
回复

回到 “老旧版本支持”